Bug 75097 - Other: Draw objects inseted in writer suffer progressive deterioration of precison.
Summary: Other: Draw objects inseted in writer suffer progressive deterioration of pre...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2014-02-17 14:23 UTC by lc
Modified: 2019-08-28 21:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An example of what happens to the shape. (23.70 KB, image/gif)
2014-02-17 14:23 UTC, lc
Details
test1.odg (9.96 KB, application/vnd.oasis.opendocument.graphics)
2014-07-07 09:02 UTC, lc
Details
test 1.odt (19.98 KB, application/vnd.oasis.opendocument.text)
2014-07-07 09:02 UTC, lc
Details
Screenshot of the odg file at 310% (83.83 KB, image/png)
2014-07-07 15:24 UTC, Yousuf Philips (jay) (retired)
Details
test1.odg (9.81 KB, application/vnd.oasis.opendocument.graphics)
2014-07-18 17:38 UTC, lc
Details
Video clip of how to generate the problem. (1.28 MB, video/avi)
2014-11-26 11:32 UTC, lc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lc 2014-02-17 14:23:00 UTC
Created attachment 94207 [details]
An example of what happens to the shape.

Problem description: 

Draw objects inserted in writer start to deteriorate as time goes by. Looks like a precision deterioration as the file is saved and opened repeated times. I could notice this effect while working on a document over several days however can't be sure if it is save/load related or simply editing time/operations related.

Note the object is left alone untouched inside writer after initial placement.


Steps to reproduce:
1. create a few simple shapes on LO draw
2. place them at well defined position where misalignment would become possible to see.
3. select them altogether and insert them on a text in writer
4. work on writer for some time and start to observe shape alignment deterioration.

Current behavior: as stated above.

Expected behavior: should not change shape.

              
Operating System: All
Version: 4.2.0.4 release
Comment 1 Yousuf Philips (jay) (retired) 2014-07-07 02:59:53 UTC
Dear lc,

I have tried to reproduce this both as a file save and opened repeated time issues but with no luck on LibreOffice 4.2.5. Can you please test that it still happens with this latest version and if so, please provide a sample Draw file with instructions on how to reproduce, as without it, we can easily track down the issue.
Comment 2 lc 2014-07-07 09:02:05 UTC
Created attachment 102357 [details]
test1.odg

Jay,

Yes, same issue on 4.2.5
Here it is some files that reveal the effect.
See text inside odt.
Hope this helps.
Thanks.

lc


On 7/7/2014 3:59 AM, bugzilla-daemon@freedesktop.org wrote:
> Jay Philips <mailto:philipz85@hotmail.com> changed bug 75097
> <https://bugs.freedesktop.org/show_bug.cgi?id=75097>
> What 	Removed 	Added
> Status 	UNCONFIRMED 	NEEDINFO
> CC 		philipz85@hotmail.com
> Component 	Writer 	Drawing
> Ever confirmed 		1
>
> *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=75097#c1> on
> bug 75097 <https://bugs.freedesktop.org/show_bug.cgi?id=75097> from Jay
> Philips <mailto:philipz85@hotmail.com> *
>
> Dear lc,
>
> I have tried to reproduce this both as a file save and opened repeated time
> issues but with no luck on LibreOffice 4.2.5. Can you please test that it still
> happens with this latest version and if so, please provide a sample Draw file
> with instructions on how to reproduce, as without it, we can easily track down
> the issue.
>
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 3 lc 2014-07-07 09:02:06 UTC
Created attachment 102358 [details]
test 1.odt
Comment 4 Yousuf Philips (jay) (retired) 2014-07-07 15:24:37 UTC
Created attachment 102377 [details]
Screenshot of the odg file at 310%

Hi lc,

I did notice that when you initially paste the odg copy-pasted file into the odt it looks like it all aligned correctly and without any editing, if i saved the file and then reopened it, the right side looks like its misaligned. But at further investigation in the odg file, i see that its misaligned there as well when you zoom in at 310%.
Comment 5 lc 2014-07-07 16:06:46 UTC
The original misalignment in the odg file is very small and completely
invisible (either screen or print) with the scale the object has in the 
text document
although I recognize it exists at high magnification.

The point is that a perfect looking shape (even if microscopically 
misaligned)
keeps increasing the misalignment as we keep editing the odt
document to a point that is it shows grossly misaligned in both the 
screen and print.

I understand that one might be better using a perfectly snapped drawing, but
if we don't there should be no deterioration of the drawing by editing.

I could confirm that this happens to any free hand drawing. They 
deteriorate while editing
and that is not expectable to happen. Hope you understand the nature of 
this bug report and hope it helps making the already excellent software 
suite even better.

Many thanks.

Luis Cupido.


On 7/7/2014 4:24 PM, bugzilla-daemon@freedesktop.org wrote:
> *Comment # 4 <https://bugs.freedesktop.org/show_bug.cgi?id=75097#c4> on
> bug 75097 <https://bugs.freedesktop.org/show_bug.cgi?id=75097> from Jay
> Philips <mailto:philipz85@hotmail.com> *
>
> Createdattachment 102377  <attachment.cgi?id=102377>  [details]  <attachment.cgi?id=102377&action=edit>
> Screenshot of the odg file at 310%
>
> Hi lc,
>
> I did notice that when you initially paste the odg copy-pasted file into the
> odt it looks like it all aligned correctly and without any editing, if i saved
> the file and then reopened it, the right side looks like its misaligned. But at
> further investigation in the odg file, i see that its misaligned there as well
> when you zoom in at 310%.
>
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 6 Yousuf Philips (jay) (retired) 2014-07-14 01:38:44 UTC
Hi Luis,

Have you tried grouping the odg before importing it into writer? Does this behaviour also happen in this case, as i think that maybe the cause of the issue. I have tried multiple times to reproduce this but unfortunately cant. If the grouping still doesnt fix the issue, could you possibly do a screencast that i will try to replicate.
Comment 7 lc 2014-07-18 17:38:56 UTC
Created attachment 103056 [details]
test1.odg

Hi Jay

I tried to send the email below with a screen-video-capture of 10Mb and 
it did not went through. (file too big)

So I put it here temporarily for you to download
http://www.cupidotech.com/tmp/test.zip

Hope this helps.

Luis Cupido.



On 7/18/2014 1:50 PM, ct1dmk wrote:
> Grouping does not help.
> In the mean time I found another way to see the same thing which I
> believe has the
> same root problem. It loses resolution simply by saving and opening.
> It does not deteriorate by more save/open cycles without changes
 > but it deteriorates more in each cycle
> if you resize or move it and then save/open
 > looks like it has lower resolution on the coordinates on save and 
export and rounds
 > them to the nearest value every time it saves or copy clipboard.
 > so when you keep editing the drawing or changing its shape/scale on the
 > writer the save/open action keeps adding rounding errors
 > That is my understanding and possible explanation for the observed facts.
>
> see attached.
> Hope this helps.
>
> lc.
>
>
>
> On 7/14/2014 2:38 AM, bugzilla-daemon@freedesktop.org wrote:
>> *Comment # 6 <https://bugs.freedesktop.org/show_bug.cgi?id=75097#c6> on
>> bug 75097 <https://bugs.freedesktop.org/show_bug.cgi?id=75097> from Jay
>> Philips <mailto:philipz85@hotmail.com> *
>>
>> Hi Luis,
>>
>> Have you tried grouping the odg before importing it into writer? Does
>> this
>> behaviour also happen in this case, as i think that maybe the cause of
>> the
>> issue. I have tried multiple times to reproduce this but unfortunately
>> cant. If
>> the grouping still doesnt fix the issue, could you possibly do a
>> screencast
>> that i will try to replicate.
>>
>> ------------------------------------------------------------------------
>> You are receiving this mail because:
>>
>> * You reported the bug.
>>
Comment 8 Buovjaga 2014-11-26 10:44:46 UTC
(In reply to lc from comment #7)
> So I put it here temporarily for you to download
> http://www.cupidotech.com/tmp/test.zip

File not available anymore.
Comment 9 lc 2014-11-26 11:32:32 UTC
Created attachment 110056 [details]
Video clip of how to generate the problem.
Comment 10 Buovjaga 2014-11-26 12:05:02 UTC
(In reply to lc from comment #9)
> Created attachment 110056 [details]
> Video clip of how to generate the problem.

I can reproduce what happens in the video with attachment 102357 [details]. If I observe the edges of the two shapes, after a save & reopen they move away from each other a bit.
The same drifting apart happens, if the shapes are pasted into a Writer document which is then saved & reopened.

Set to NEW and tweak severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54
Comment 11 QA Administrators 2015-12-20 16:11:50 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2017-01-03 19:47:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103